awful debugging hacking
[dpkg] / dselect / Makefile.in
CommitLineData
1479465f
GJ
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19 if test -z '$(MAKELEVEL)'; then \
20 false; \
21 elif test -n '$(MAKE_HOST)'; then \
22 true; \
23 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24 true; \
25 else \
26 false; \
27 fi; \
28}
29am__make_running_with_option = \
30 case $${target_option-} in \
31 ?) ;; \
32 *) echo "am__make_running_with_option: internal error: invalid" \
33 "target option '$${target_option-}' specified" >&2; \
34 exit 1;; \
35 esac; \
36 has_opt=no; \
37 sane_makeflags=$$MAKEFLAGS; \
38 if $(am__is_gnu_make); then \
39 sane_makeflags=$$MFLAGS; \
40 else \
41 case $$MAKEFLAGS in \
42 *\\[\ \ ]*) \
43 bs=\\; \
44 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
46 esac; \
47 fi; \
48 skip_next=no; \
49 strip_trailopt () \
50 { \
51 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52 }; \
53 for flg in $$sane_makeflags; do \
54 test $$skip_next = yes && { skip_next=no; continue; }; \
55 case $$flg in \
56 *=*|--*) continue;; \
57 -*I) strip_trailopt 'I'; skip_next=yes;; \
58 -*I?*) strip_trailopt 'I';; \
59 -*O) strip_trailopt 'O'; skip_next=yes;; \
60 -*O?*) strip_trailopt 'O';; \
61 -*l) strip_trailopt 'l'; skip_next=yes;; \
62 -*l?*) strip_trailopt 'l';; \
63 -[dEDm]) skip_next=yes;; \
64 -[JT]) skip_next=yes;; \
65 esac; \
66 case $$flg in \
67 *$$target_option*) has_opt=yes; break;; \
68 esac; \
69 done; \
70 test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91bin_PROGRAMS = dselect$(EXEEXT)
92subdir = dselect
93ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
94am__aclocal_m4_deps = $(top_srcdir)/m4/dpkg-arch.m4 \
95 $(top_srcdir)/m4/dpkg-build.m4 \
96 $(top_srcdir)/m4/dpkg-compiler.m4 \
97 $(top_srcdir)/m4/dpkg-coverage.m4 \
98 $(top_srcdir)/m4/dpkg-funcs.m4 $(top_srcdir)/m4/dpkg-libs.m4 \
99 $(top_srcdir)/m4/dpkg-linker.m4 $(top_srcdir)/m4/dpkg-progs.m4 \
100 $(top_srcdir)/m4/dpkg-types.m4 \
101 $(top_srcdir)/m4/dpkg-unicode.m4 $(top_srcdir)/m4/gettext.m4 \
102 $(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
103 $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
104 $(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
105 $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
106 $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
107 $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
108 $(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
109am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
110 $(ACLOCAL_M4)
111DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
112mkinstalldirs = $(install_sh) -d
113CONFIG_HEADER = $(top_builddir)/config.h
114CONFIG_CLEAN_FILES =
115CONFIG_CLEAN_VPATH_FILES =
116am__installdirs = "$(DESTDIR)$(bindir)"
117PROGRAMS = $(bin_PROGRAMS)
118am_dselect_OBJECTS = cxx-support.$(OBJEXT) basecmds.$(OBJEXT) \
119 baselist.$(OBJEXT) basetop.$(OBJEXT) bindings.$(OBJEXT) \
120 curkeys.$(OBJEXT) helpmsgs.$(OBJEXT) main.$(OBJEXT) \
121 methkeys.$(OBJEXT) methlist.$(OBJEXT) method.$(OBJEXT) \
122 methparse.$(OBJEXT) pkgcmds.$(OBJEXT) pkgdepcon.$(OBJEXT) \
123 pkgdisplay.$(OBJEXT) pkginfo.$(OBJEXT) pkgkeys.$(OBJEXT) \
124 pkglist.$(OBJEXT) pkgsublist.$(OBJEXT) pkgtop.$(OBJEXT)
125dselect_OBJECTS = $(am_dselect_OBJECTS)
126am__DEPENDENCIES_1 =
127dselect_DEPENDENCIES = $(am__DEPENDENCIES_1) ../lib/dpkg/libdpkg.la \
128 $(am__DEPENDENCIES_1)
129AM_V_lt = $(am__v_lt_@AM_V@)
130am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
131am__v_lt_0 = --silent
132am__v_lt_1 =
133AM_V_P = $(am__v_P_@AM_V@)
134am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
135am__v_P_0 = false
136am__v_P_1 = :
137AM_V_GEN = $(am__v_GEN_@AM_V@)
138am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
139am__v_GEN_0 = @echo " GEN " $@;
140am__v_GEN_1 =
141AM_V_at = $(am__v_at_@AM_V@)
142am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
143am__v_at_0 = @
144am__v_at_1 =
145DEFAULT_INCLUDES =
146depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
147am__depfiles_maybe = depfiles
148am__mv = mv -f
149CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
150 $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
151LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
152 $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
153 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
154 $(AM_CXXFLAGS) $(CXXFLAGS)
155AM_V_CXX = $(am__v_CXX_@AM_V@)
156am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
157am__v_CXX_0 = @echo " CXX " $@;
158am__v_CXX_1 =
159CXXLD = $(CXX)
160CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
161 $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
162 $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
163AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
164am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
165am__v_CXXLD_0 = @echo " CXXLD " $@;
166am__v_CXXLD_1 =
167COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
168 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
169LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
170 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
171 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
172 $(AM_CFLAGS) $(CFLAGS)
173AM_V_CC = $(am__v_CC_@AM_V@)
174am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
175am__v_CC_0 = @echo " CC " $@;
176am__v_CC_1 =
177CCLD = $(CC)
178LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
179 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
180 $(AM_LDFLAGS) $(LDFLAGS) -o $@
181AM_V_CCLD = $(am__v_CCLD_@AM_V@)
182am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
183am__v_CCLD_0 = @echo " CCLD " $@;
184am__v_CCLD_1 =
185SOURCES = $(dselect_SOURCES)
186DIST_SOURCES = $(dselect_SOURCES)
187RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
188 ctags-recursive dvi-recursive html-recursive info-recursive \
189 install-data-recursive install-dvi-recursive \
190 install-exec-recursive install-html-recursive \
191 install-info-recursive install-pdf-recursive \
192 install-ps-recursive install-recursive installcheck-recursive \
193 installdirs-recursive pdf-recursive ps-recursive \
194 tags-recursive uninstall-recursive
195am__can_run_installinfo = \
196 case $$AM_UPDATE_INFO_DIR in \
197 n|no|NO) false;; \
198 *) (install-info --version) >/dev/null 2>&1;; \
199 esac
200RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
201 distclean-recursive maintainer-clean-recursive
202am__recursive_targets = \
203 $(RECURSIVE_TARGETS) \
204 $(RECURSIVE_CLEAN_TARGETS) \
205 $(am__extra_recursive_targets)
206AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
207 distdir
208am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
209# Read a list of newline-separated strings from the standard input,
210# and print each of them once, without duplicates. Input order is
211# *not* preserved.
212am__uniquify_input = $(AWK) '\
213 BEGIN { nonempty = 0; } \
214 { items[$$0] = 1; nonempty = 1; } \
215 END { if (nonempty) { for (i in items) print i; }; } \
216'
217# Make sure the list of sources is unique. This is necessary because,
218# e.g., the same source file might be shared among _SOURCES variables
219# for different programs/libraries.
220am__define_uniq_tagged_files = \
221 list='$(am__tagged_files)'; \
222 unique=`for i in $$list; do \
223 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
224 done | $(am__uniquify_input)`
225ETAGS = etags
226CTAGS = ctags
227DIST_SUBDIRS = $(SUBDIRS)
228am__DIST_COMMON = $(srcdir)/Makefile.in \
229 $(top_srcdir)/build-aux/depcomp
230DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
231am__relativize = \
232 dir0=`pwd`; \
233 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
234 sed_rest='s,^[^/]*/*,,'; \
235 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
236 sed_butlast='s,/*[^/]*$$,,'; \
237 while test -n "$$dir1"; do \
238 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
239 if test "$$first" != "."; then \
240 if test "$$first" = ".."; then \
241 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
242 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
243 else \
244 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
245 if test "$$first2" = "$$first"; then \
246 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
247 else \
248 dir2="../$$dir2"; \
249 fi; \
250 dir0="$$dir0"/"$$first"; \
251 fi; \
252 fi; \
253 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
254 done; \
255 reldir="$$dir2"
256ACLOCAL = @ACLOCAL@
257AMTAR = @AMTAR@
258AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
259AR = @AR@
260AUTOCONF = @AUTOCONF@
261AUTOHEADER = @AUTOHEADER@
262AUTOM4TE = @AUTOM4TE@
263AUTOMAKE = @AUTOMAKE@
264AWK = @AWK@
265BUILD_DEVEL_DOCS = @BUILD_DEVEL_DOCS@
266BZ2_LIBS = @BZ2_LIBS@
267CC = @CC@
268CCDEPMODE = @CCDEPMODE@
269CFLAGS = @CFLAGS@
270CPP = @CPP@
271CPPFLAGS = @CPPFLAGS@
272CURSES_LIBS = @CURSES_LIBS@
273CXX = @CXX@
274CXXCPP = @CXXCPP@
275CXXDEPMODE = @CXXDEPMODE@
276CXXFLAGS = @CXXFLAGS@
277CYGPATH_W = @CYGPATH_W@
278DEFS = @DEFS@
279DEPDIR = @DEPDIR@
280DLLTOOL = @DLLTOOL@
281DOXYGEN = @DOXYGEN@
282DSYMUTIL = @DSYMUTIL@
283DUMPBIN = @DUMPBIN@
284ECHO_C = @ECHO_C@
285ECHO_N = @ECHO_N@
286ECHO_T = @ECHO_T@
287EGREP = @EGREP@
288EXEEXT = @EXEEXT@
289FGREP = @FGREP@
290GCOV = @GCOV@
291GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
292GMSGFMT = @GMSGFMT@
293GMSGFMT_015 = @GMSGFMT_015@
294GREP = @GREP@
295HAVE_DOT = @HAVE_DOT@
296INSTALL = @INSTALL@
297INSTALL_DATA = @INSTALL_DATA@
298INSTALL_PROGRAM = @INSTALL_PROGRAM@
299INSTALL_SCRIPT = @INSTALL_SCRIPT@
300INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
301INTLLIBS = @INTLLIBS@
302INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
303KVM_LIBS = @KVM_LIBS@
304LCOV = @LCOV@
305LCOV_GENHTML = @LCOV_GENHTML@
306LD = @LD@
307LDFLAGS = @LDFLAGS@
308LIBICONV = @LIBICONV@
309LIBINTL = @LIBINTL@
310LIBOBJS = @LIBOBJS@
311LIBS = @LIBS@
312LIBTOOL = @LIBTOOL@
313LIPO = @LIPO@
314LN_S = @LN_S@
315LTLIBICONV = @LTLIBICONV@
316LTLIBINTL = @LTLIBINTL@
317LTLIBOBJS = @LTLIBOBJS@
318LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
319LZMA_LIBS = @LZMA_LIBS@
320MAKEINFO = @MAKEINFO@
321MANIFEST_TOOL = @MANIFEST_TOOL@
322MD_LIBS = @MD_LIBS@
323MKDIR_P = @MKDIR_P@
324MSGFMT = @MSGFMT@
325MSGFMT_015 = @MSGFMT_015@
326MSGMERGE = @MSGMERGE@
327NM = @NM@
328NMEDIT = @NMEDIT@
329OBJDUMP = @OBJDUMP@
330OBJEXT = @OBJEXT@
331OTOOL = @OTOOL@
332OTOOL64 = @OTOOL64@
333PACKAGE = @PACKAGE@
334PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
335PACKAGE_COPYRIGHT_HOLDER = @PACKAGE_COPYRIGHT_HOLDER@
336PACKAGE_NAME = @PACKAGE_NAME@
337PACKAGE_RELEASE_DATE = @PACKAGE_RELEASE_DATE@
338PACKAGE_STRING = @PACKAGE_STRING@
339PACKAGE_TARNAME = @PACKAGE_TARNAME@
340PACKAGE_URL = @PACKAGE_URL@
341PACKAGE_VERSION = @PACKAGE_VERSION@
342PATCH = @PATCH@
343PATH_SEPARATOR = @PATH_SEPARATOR@
344PERL = @PERL@
345PERL_COVER = @PERL_COVER@
346PERL_COVERAGE = @PERL_COVERAGE@
347PERL_LIBDIR = @PERL_LIBDIR@
348PKG_CONFIG = @PKG_CONFIG@
349PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
350PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
351PO4A = @PO4A@
352POD2MAN = @POD2MAN@
353POSUB = @POSUB@
354PS_LIBS = @PS_LIBS@
355RANLIB = @RANLIB@
356SED = @SED@
357SELINUX_CFLAGS = @SELINUX_CFLAGS@
358SELINUX_LIBS = @SELINUX_LIBS@
359SET_MAKE = @SET_MAKE@
360SHELL = @SHELL@
361STRIP = @STRIP@
362TAR = @TAR@
363USE_NLS = @USE_NLS@
364USE_PO4A = @USE_PO4A@
365USE_UNICODE = @USE_UNICODE@
366VERSION = @VERSION@
367XGETTEXT = @XGETTEXT@
368XGETTEXT_015 = @XGETTEXT_015@
369XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
370Z_LIBS = @Z_LIBS@
371abs_builddir = @abs_builddir@
372abs_srcdir = @abs_srcdir@
373abs_top_builddir = @abs_top_builddir@
374abs_top_srcdir = @abs_top_srcdir@
375ac_ct_AR = @ac_ct_AR@
376ac_ct_CC = @ac_ct_CC@
377ac_ct_CXX = @ac_ct_CXX@
378ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
379admindir = @admindir@
380am__include = @am__include@
381am__leading_dot = @am__leading_dot@
382am__quote = @am__quote@
383am__tar = @am__tar@
384am__untar = @am__untar@
385bindir = @bindir@
386build = @build@
387build_alias = @build_alias@
388build_cpu = @build_cpu@
389build_os = @build_os@
390build_vendor = @build_vendor@
391builddir = @builddir@
392datadir = @datadir@
393datarootdir = @datarootdir@
394devlibdir = @devlibdir@
395docdir = @docdir@
396dvidir = @dvidir@
397exec_prefix = @exec_prefix@
398host = @host@
399host_alias = @host_alias@
400host_cpu = @host_cpu@
401host_os = @host_os@
402host_vendor = @host_vendor@
403htmldir = @htmldir@
404includedir = @includedir@
405infodir = @infodir@
406install_sh = @install_sh@
407libdir = @libdir@
408libexecdir = @libexecdir@
409localedir = $(datadir)/locale
410localstatedir = @localstatedir@
411logdir = @logdir@
412mandir = @mandir@
413mkdir_p = @mkdir_p@
414oldincludedir = @oldincludedir@
415pdfdir = @pdfdir@
416pkgconfdir = $(sysconfdir)/@PACKAGE@
417prefix = @prefix@
418program_transform_name = @program_transform_name@
419psdir = @psdir@
420runstatedir = @runstatedir@
421sbindir = @sbindir@
422sharedstatedir = @sharedstatedir@
423srcdir = @srcdir@
424sysconfdir = @sysconfdir@
425target_alias = @target_alias@
426top_build_prefix = @top_build_prefix@
427top_builddir = @top_builddir@
428top_srcdir = @top_srcdir@
429SUBDIRS = methods po
430AM_CPPFLAGS = \
431 -DLOCALEDIR=\"$(localedir)\" \
432 -DADMINDIR=\"$(admindir)\" \
433 -DLIBDIR=\"$(pkglibexecdir)\" \
434 -DLOCALLIBDIR=\"/usr/local/lib/dpkg\" \
435 -idirafter $(top_srcdir)/lib/compat \
436 -iquote $(builddir) \
437 -I$(top_builddir) \
438 -I$(top_srcdir)/lib
439
440AM_CXXFLAGS = \
441 -fno-rtti \
442 -fno-exceptions \
443 $(nil)
444
445@HAVE_LINKER_AS_NEEDED_TRUE@AM_LDFLAGS = \
446@HAVE_LINKER_AS_NEEDED_TRUE@ -Wl,--as-needed
447
448dselect_SOURCES = \
449 cxx-support.cc \
450 dselect.h \
451 dselect-curses.h \
452 basecmds.cc \
453 baselist.cc \
454 basetop.cc \
455 bindings.cc bindings.h \
456 curkeys.cc \
457 helpmsgs.cc helpmsgs.h \
458 main.cc \
459 methkeys.cc \
460 methlist.cc \
461 method.cc method.h \
462 methparse.cc \
463 pkgcmds.cc \
464 pkgdepcon.cc \
465 pkgdisplay.cc \
466 pkginfo.cc \
467 pkgkeys.cc \
468 pkglist.cc pkglist.h \
469 pkgsublist.cc \
470 pkgtop.cc
471
472dselect_LDADD = \
473 $(CURSES_LIBS) \
474 ../lib/dpkg/libdpkg.la \
475 $(LIBINTL)
476
477EXTRA_DIST = keyoverride mkcurkeys.pl
478CLEANFILES = curkeys.h
479all: all-recursive
480
481.SUFFIXES:
482.SUFFIXES: .cc .lo .o .obj
483$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
484 @for dep in $?; do \
485 case '$(am__configure_deps)' in \
486 *$$dep*) \
487 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
488 && { if test -f $@; then exit 0; else break; fi; }; \
489 exit 1;; \
490 esac; \
491 done; \
492 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign dselect/Makefile'; \
493 $(am__cd) $(top_srcdir) && \
494 $(AUTOMAKE) --foreign dselect/Makefile
495Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
496 @case '$?' in \
497 *config.status*) \
498 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
499 *) \
500 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
501 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
502 esac;
503
504$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
505 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
506
507$(top_srcdir)/configure: $(am__configure_deps)
508 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
509$(ACLOCAL_M4): $(am__aclocal_m4_deps)
510 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
511$(am__aclocal_m4_deps):
512install-binPROGRAMS: $(bin_PROGRAMS)
513 @$(NORMAL_INSTALL)
514 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
515 if test -n "$$list"; then \
516 echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
517 $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
518 fi; \
519 for p in $$list; do echo "$$p $$p"; done | \
520 sed 's/$(EXEEXT)$$//' | \
521 while read p p1; do if test -f $$p \
522 || test -f $$p1 \
523 ; then echo "$$p"; echo "$$p"; else :; fi; \
524 done | \
525 sed -e 'p;s,.*/,,;n;h' \
526 -e 's|.*|.|' \
527 -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
528 sed 'N;N;N;s,\n, ,g' | \
529 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
530 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
531 if ($$2 == $$4) files[d] = files[d] " " $$1; \
532 else { print "f", $$3 "/" $$4, $$1; } } \
533 END { for (d in files) print "f", d, files[d] }' | \
534 while read type dir files; do \
535 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
536 test -z "$$files" || { \
537 echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
538 $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
539 } \
540 ; done
541
542uninstall-binPROGRAMS:
543 @$(NORMAL_UNINSTALL)
544 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
545 files=`for p in $$list; do echo "$$p"; done | \
546 sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
547 -e 's/$$/$(EXEEXT)/' \
548 `; \
549 test -n "$$list" || exit 0; \
550 echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
551 cd "$(DESTDIR)$(bindir)" && rm -f $$files
552
553clean-binPROGRAMS:
554 @list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
555 echo " rm -f" $$list; \
556 rm -f $$list || exit $$?; \
557 test -n "$(EXEEXT)" || exit 0; \
558 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
559 echo " rm -f" $$list; \
560 rm -f $$list
561
562dselect$(EXEEXT): $(dselect_OBJECTS) $(dselect_DEPENDENCIES) $(EXTRA_dselect_DEPENDENCIES)
563 @rm -f dselect$(EXEEXT)
564 $(AM_V_CXXLD)$(CXXLINK) $(dselect_OBJECTS) $(dselect_LDADD) $(LIBS)
565
566mostlyclean-compile:
567 -rm -f *.$(OBJEXT)
568
569distclean-compile:
570 -rm -f *.tab.c
571
572@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basecmds.Po@am__quote@
573@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/baselist.Po@am__quote@
574@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basetop.Po@am__quote@
575@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bindings.Po@am__quote@
576@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/curkeys.Po@am__quote@
577@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cxx-support.Po@am__quote@
578@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/helpmsgs.Po@am__quote@
579@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
580@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/methkeys.Po@am__quote@
581@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/methlist.Po@am__quote@
582@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/method.Po@am__quote@
583@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/methparse.Po@am__quote@
584@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkgcmds.Po@am__quote@
585@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkgdepcon.Po@am__quote@
586@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkgdisplay.Po@am__quote@
587@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkginfo.Po@am__quote@
588@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkgkeys.Po@am__quote@
589@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkglist.Po@am__quote@
590@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkgsublist.Po@am__quote@
591@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkgtop.Po@am__quote@
592
593.cc.o:
594@am__fastdepCXX_TRUE@ $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
595@am__fastdepCXX_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
596@AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
597@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
598@am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
599
600.cc.obj:
601@am__fastdepCXX_TRUE@ $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
602@am__fastdepCXX_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
603@AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
604@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
605@am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
606
607.cc.lo:
608@am__fastdepCXX_TRUE@ $(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
609@am__fastdepCXX_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
610@AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
611@AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
612@am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
613
614mostlyclean-libtool:
615 -rm -f *.lo
616
617clean-libtool:
618 -rm -rf .libs _libs
619
620# This directory's subdirectories are mostly independent; you can cd
621# into them and run 'make' without going through this Makefile.
622# To change the values of 'make' variables: instead of editing Makefiles,
623# (1) if the variable is set in 'config.status', edit 'config.status'
624# (which will cause the Makefiles to be regenerated when you run 'make');
625# (2) otherwise, pass the desired values on the 'make' command line.
626$(am__recursive_targets):
627 @fail=; \
628 if $(am__make_keepgoing); then \
629 failcom='fail=yes'; \
630 else \
631 failcom='exit 1'; \
632 fi; \
633 dot_seen=no; \
634 target=`echo $@ | sed s/-recursive//`; \
635 case "$@" in \
636 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
637 *) list='$(SUBDIRS)' ;; \
638 esac; \
639 for subdir in $$list; do \
640 echo "Making $$target in $$subdir"; \
641 if test "$$subdir" = "."; then \
642 dot_seen=yes; \
643 local_target="$$target-am"; \
644 else \
645 local_target="$$target"; \
646 fi; \
647 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
648 || eval $$failcom; \
649 done; \
650 if test "$$dot_seen" = "no"; then \
651 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
652 fi; test -z "$$fail"
653
654ID: $(am__tagged_files)
655 $(am__define_uniq_tagged_files); mkid -fID $$unique
656tags: tags-recursive
657TAGS: tags
658
659tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
660 set x; \
661 here=`pwd`; \
662 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
663 include_option=--etags-include; \
664 empty_fix=.; \
665 else \
666 include_option=--include; \
667 empty_fix=; \
668 fi; \
669 list='$(SUBDIRS)'; for subdir in $$list; do \
670 if test "$$subdir" = .; then :; else \
671 test ! -f $$subdir/TAGS || \
672 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
673 fi; \
674 done; \
675 $(am__define_uniq_tagged_files); \
676 shift; \
677 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
678 test -n "$$unique" || unique=$$empty_fix; \
679 if test $$# -gt 0; then \
680 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
681 "$$@" $$unique; \
682 else \
683 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
684 $$unique; \
685 fi; \
686 fi
687ctags: ctags-recursive
688
689CTAGS: ctags
690ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
691 $(am__define_uniq_tagged_files); \
692 test -z "$(CTAGS_ARGS)$$unique" \
693 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
694 $$unique
695
696GTAGS:
697 here=`$(am__cd) $(top_builddir) && pwd` \
698 && $(am__cd) $(top_srcdir) \
699 && gtags -i $(GTAGS_ARGS) "$$here"
700cscopelist: cscopelist-recursive
701
702cscopelist-am: $(am__tagged_files)
703 list='$(am__tagged_files)'; \
704 case "$(srcdir)" in \
705 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
706 *) sdir=$(subdir)/$(srcdir) ;; \
707 esac; \
708 for i in $$list; do \
709 if test -f "$$i"; then \
710 echo "$(subdir)/$$i"; \
711 else \
712 echo "$$sdir/$$i"; \
713 fi; \
714 done >> $(top_builddir)/cscope.files
715
716distclean-tags:
717 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
718
719distdir: $(DISTFILES)
720 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
721 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
722 list='$(DISTFILES)'; \
723 dist_files=`for file in $$list; do echo $$file; done | \
724 sed -e "s|^$$srcdirstrip/||;t" \
725 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
726 case $$dist_files in \
727 */*) $(MKDIR_P) `echo "$$dist_files" | \
728 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
729 sort -u` ;; \
730 esac; \
731 for file in $$dist_files; do \
732 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
733 if test -d $$d/$$file; then \
734 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
735 if test -d "$(distdir)/$$file"; then \
736 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
737 fi; \
738 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
739 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
740 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
741 fi; \
742 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
743 else \
744 test -f "$(distdir)/$$file" \
745 || cp -p $$d/$$file "$(distdir)/$$file" \
746 || exit 1; \
747 fi; \
748 done
749 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
750 if test "$$subdir" = .; then :; else \
751 $(am__make_dryrun) \
752 || test -d "$(distdir)/$$subdir" \
753 || $(MKDIR_P) "$(distdir)/$$subdir" \
754 || exit 1; \
755 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
756 $(am__relativize); \
757 new_distdir=$$reldir; \
758 dir1=$$subdir; dir2="$(top_distdir)"; \
759 $(am__relativize); \
760 new_top_distdir=$$reldir; \
761 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
762 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
763 ($(am__cd) $$subdir && \
764 $(MAKE) $(AM_MAKEFLAGS) \
765 top_distdir="$$new_top_distdir" \
766 distdir="$$new_distdir" \
767 am__remove_distdir=: \
768 am__skip_length_check=: \
769 am__skip_mode_fix=: \
770 distdir) \
771 || exit 1; \
772 fi; \
773 done
774check-am: all-am
775check: check-recursive
776all-am: Makefile $(PROGRAMS)
777installdirs: installdirs-recursive
778installdirs-am:
779 for dir in "$(DESTDIR)$(bindir)"; do \
780 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
781 done
782install: install-recursive
783install-exec: install-exec-recursive
784install-data: install-data-recursive
785uninstall: uninstall-recursive
786
787install-am: all-am
788 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
789
790installcheck: installcheck-recursive
791install-strip:
792 if test -z '$(STRIP)'; then \
793 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
794 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
795 install; \
796 else \
797 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
798 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
799 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
800 fi
801mostlyclean-generic:
802
803clean-generic:
804 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
805
806distclean-generic:
807 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
808 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
809
810maintainer-clean-generic:
811 @echo "This command is intended for maintainers to use"
812 @echo "it deletes files that may require special tools to rebuild."
813clean: clean-recursive
814
815clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am
816
817distclean: distclean-recursive
818 -rm -rf ./$(DEPDIR)
819 -rm -f Makefile
820distclean-am: clean-am distclean-compile distclean-generic \
821 distclean-tags
822
823dvi: dvi-recursive
824
825dvi-am:
826
827html: html-recursive
828
829html-am:
830
831info: info-recursive
832
833info-am:
834
835install-data-am: install-data-local
836
837install-dvi: install-dvi-recursive
838
839install-dvi-am:
840
841install-exec-am: install-binPROGRAMS
842
843install-html: install-html-recursive
844
845install-html-am:
846
847install-info: install-info-recursive
848
849install-info-am:
850
851install-man:
852
853install-pdf: install-pdf-recursive
854
855install-pdf-am:
856
857install-ps: install-ps-recursive
858
859install-ps-am:
860
861installcheck-am:
862
863maintainer-clean: maintainer-clean-recursive
864 -rm -rf ./$(DEPDIR)
865 -rm -f Makefile
866maintainer-clean-am: distclean-am maintainer-clean-generic
867
868mostlyclean: mostlyclean-recursive
869
870mostlyclean-am: mostlyclean-compile mostlyclean-generic \
871 mostlyclean-libtool
872
873pdf: pdf-recursive
874
875pdf-am:
876
877ps: ps-recursive
878
879ps-am:
880
881uninstall-am: uninstall-binPROGRAMS
882
883.MAKE: $(am__recursive_targets) install-am install-strip
884
885.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
886 check-am clean clean-binPROGRAMS clean-generic clean-libtool \
887 cscopelist-am ctags ctags-am distclean distclean-compile \
888 distclean-generic distclean-libtool distclean-tags distdir dvi \
889 dvi-am html html-am info info-am install install-am \
890 install-binPROGRAMS install-data install-data-am \
891 install-data-local install-dvi install-dvi-am install-exec \
892 install-exec-am install-html install-html-am install-info \
893 install-info-am install-man install-pdf install-pdf-am \
894 install-ps install-ps-am install-strip installcheck \
895 installcheck-am installdirs installdirs-am maintainer-clean \
896 maintainer-clean-generic mostlyclean mostlyclean-compile \
897 mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
898 tags tags-am uninstall uninstall-am uninstall-binPROGRAMS
899
900.PRECIOUS: Makefile
901
902
903curkeys.$(OBJEXT): curkeys.h
904curkeys.h: $(srcdir)/keyoverride $(srcdir)/mkcurkeys.pl
905 $(AM_V_GEN) cursesfile=`echo '#include "dselect-curses.h"' | \
906 $(CPP) $(CPPFLAGS) -I$(top_builddir) -I $(srcdir) - | \
907 grep '[^-]curses\.h' | head -n 1 | \
908 sed -e 's/^[^"]*"//; s/".*$$//'`; \
909 if [ "$$cursesfile" = "" ]; then \
910 echo "can't find curses file"; exit 1; \
911 fi; \
912 $(PERL) $(srcdir)/mkcurkeys.pl $< $$cursesfile >$@
913
914install-data-local:
915 $(MKDIR_P) $(DESTDIR)$(pkgconfdir)/dselect.cfg.d
916
917# Tell versions [3.59,3.63) of GNU make to not export all variables.
918# Otherwise a system limit (for SysV at least) may be exceeded.
919.NOEXPORT: